<?php
session_start();
$ruta="../../../../";
include_once($ruta."class/dominio.php");
$dominio=new dominio;
include_once($ruta."class/credito.php");
$credito=new credito;
include_once($ruta."class/grupocredito.php");
$grupocredito=new grupocredito;
include_once($ruta."class/creditodetalle.php");
$creditodetalle=new creditodetalle;
include_once($ruta."class/creditoahorro.php");
$creditoahorro=new creditoahorro;
include_once($ruta."class/tipobanca.php");
$tipobanca=new tipobanca;

$fecha=date("Y-m-d");
extract($_POST);

$idcapital=number_format($idcapital, 2, '.', '');
$idinteres=number_format($idinteres, 2, '.', '');
$idgadmin=number_format($idgadmin, 2, '.', '');
$idseguro=number_format($idseguro, 2, '.', '');


$dcred=$credito->muestra($idcredito);
$lblcode=ecUrl($dcred['idgrupocredito']);
$saldoAnterior=$dcred['saldo'];
$saldo=number_format($dcred['saldo'], 2, '.', '')-$idcapital;
//$dcred['saldo']-$idcapital;
$saldo=number_format($saldo, 2, '.', '');
$cuotasP=$dcred['cuotaspagadas']+1;
$fechapago=$dcred['fechaproxve'];

$interesPagado=$dcred['interesPagado']+$idinteres;
$interesPagado=number_format($interesPagado, 2, '.', '');

$seguroPagado=$dcred['seguroPagado']+$idseguro;
$seguroPagado=number_format($seguroPagado, 2, '.', '');

$cuotaAcumulada=$dcred['cuotaAcumulada']+$idgadmin;
$cuotaAcumulada=number_format($cuotaAcumulada, 2, '.', '');

/******************************* CALCULA TOTAL A PAGAR  ************************************/
	$tba=$tipobanca->muestra($dcred['idtipobanca']);
	$montoCAM=$dcred['montoOT']/$dcred['cuotas'];
	$montoCAM=number_format($montoCAM, 2, '.', '');
	/***************** INTERES  **********************************************/
	$ddom=$dominio->muestra($dcred['idfrecuenciapago']);
	$mesesPlazo=$dcred['cuotas']/$ddom['codigo'];
	$interesTotal=($dcred['montoOT']*($dcred['interes']/100)*$mesesPlazo);
	$interesTotal=number_format($interesTotal, 2, '.', '');
	$interesCuota=$interesTotal/$dcred['cuotas'];
	$interesCuota=number_format($interesCuota, 2, '.', '');
	/*************************************************************************/
	// CUOTA ACUMULADA
	$gaTotal=$dcred['montoOT']*($tba['gastosadmin']/100);
	$gastoadmin=$gaTotal/$dcred['cuotas'];
	$gastoadmin=number_format($gastoadmin, 2, '.', '');
	/****************************************************************/
	//SEGURO
	$seguro=$dcred['montoOT']*($dcred['seguro']/100);
	$seguro=$seguro/$dcred['cuotas'];
    $seguro=number_format($seguro, 2, '.', '');
	/*******************************************************/

	$totalCuota=$montoCAM+$interesCuota+$gastoadmin+$seguro;
	$totalCuota=number_format($totalCuota, 2, '.', '');
	$totalCuotaResto=$interesCuota+$gastoadmin+$seguro;
	$totalCuotaResto=number_format($totalCuotaResto, 2, '.', '');


	$cuotaPago=$dcred['cuotaspagadas']+1;

	// CAPITAL ADEUDADO A PAGAR *******************************************************/
	// Capital pagado = MontoOT-saldo
	$capitalPagado=number_format($dcred['montoOT'], 2, '.', '')-number_format($dcred['saldo'], 2, '.', '');
	//$dcred['montoOT']-$dcred['saldo'];
	$pagoACapital=number_format($montoCAM, 2, '.', '')*number_format($cuotaPago, 2, '.', '');
	//$montoCAM*$cuotaPago;
	$CapitalAPagar=$pagoACapital-$capitalPagado;
	$CapitalAPagar=number_format($CapitalAPagar, 2, '.', '');
	/*********************************************************************************/
	// INETERES ADEUDADO *************************************************************/
	$interesPago=$interesCuota*$cuotaPago;
	$interesAPagar=$interesPago-$dcred['interesPagado'];
	$interesAPagar=number_format($interesAPagar, 2, '.', '');
	/*********************************************************************************/
	// CUOTA ACUMULADA ADEUDADA
	$cuotaAcumPago=$gastoadmin*$cuotaPago;
	$cuotaAcumAPagar=$cuotaAcumPago-$dcred['cuotaAcumulada'];
	$cuotaAcumAPagar=number_format($cuotaAcumAPagar, 2, '.', '');
	/*********************************************************************************/
	// SEGURO ADEUDADO ***************************************************************/
	$seguroPago=$seguro*$cuotaPago;
	$seguroAPagar=$seguroPago-$dcred['seguroPagado'];
	$seguroAPagar=number_format($seguroAPagar, 2, '.', '');
	/*********************************************************************************/


	$totalAPagar=$CapitalAPagar+$interesAPagar+$cuotaAcumAPagar+$seguroAPagar;
	$totalAPagar=round($totalAPagar, 2);
	$totalAPagar=number_format($totalAPagar, 2, '.', '');
	//echo "TOTAL: ".$totalAPagar;
/*******************************************************************************************/
$estadoAnterior=$dcred['estadocredito'];
$estadoActual=1;
if ($idmonto<$totalAPagar)  {
	$estadoActual=2;
}
$saldoAhorro=$dcred['saldoahorro'];
		if ($idahorro>0) {
			$nuevosaldoAh=$saldoAhorro+$idahorro;
			$vaahorro=array(
				"idcredito"=>"'$idcredito'",
				"codoperacion"=>"'1101'",
				"fecha"=>"'$fecha'",
				"monto"=>"'$idahorro'",
				"saldoAnterior"=>"'$saldoAhorro'",
				"saldo"=>"'$nuevosaldoAh'",
				"estado"=>"'1'"
		 	);	
			$creditoahorro->insertar($vaahorro);
		}else{
			$nuevosaldoAh=$saldoAhorro;
		}
		$tipocierre=0;
		if ($idtiporegistro==1) 
		{
			$tipocierre=1;
		}
		$valcredito=array(
			"saldoAnterior"=>"'$saldoAnterior'",
			"saldo"=>"'$saldo'",
			
			"interesPagado"=>"'$interesPagado'",
			"seguroPagado"=>"'$seguroPagado'",
			"cuotaAcumulada"=>"'$cuotaAcumulada'",

			"saldoahorro"=>"'$nuevosaldoAh'",
			"cuotaspagadas"=>"'$cuotasP'",
			"fechaultpago"=>"'$fechapago'",
			"fechaproxve"=>"'$idproxvence'",
			"estadocobro"=>"'0'",
			"tipocierre"=>"'$tipocierre'",
			"estadocredito"=>"'$estadoActual'",
	 	);
		if($credito->actualizar($valcredito,$idcredito))
		{
			$cuenta=$dcred['cuenta'];
			if ($idcuotas>0) {
				$glosa="PAGO CUOTA";
			}else{
				$glosa="ADELANTO CUOTA";
			}
			/// Seleccionamos el codoperacion 
			if ($iddiasmora>0) 
			{
				$estadodiasmora=2;
			}else{
				$estadodiasmora=0;
			}
			$codOp=1002;
			$valores2=array(
				"idcredito"=>"'$idcredito'",
				"codoperacion"=>"'$codOp'",
				"cuenta"=>"'$cuenta'",
				"fecha"=>"'$fecha'",
				"cuota"=>"'$cuotasP'",
				"saldoant"=>"'$saldoAnterior'",
				"saldo"=>"'$saldo'",

				"monto"=>"'$idcapital'",
				"interes"=>"'$idinteres'",
				"gadmin"=>"'$idgadmin'",
				"seguro"=>"'$idseguro'",

				"glosa"=>"'$glosa'",
				"diasmora"=>"'$iddiasmora'",
				"estadodiasmora"=>"'$estadodiasmora'",
				"fechainiciomora"=>"'$fechapago'",
				"fechafinmora"=>"'$idfechafinmora'",
				"tiporegistro"=>"'$idtiporegistro'",
				"estadoant"=>"'$estadoAnterior'",
				"estado"=>"'$estadoActual'"
		 	);	
			$creditodetalle->insertar($valores2);

			//genera movimiento de Otorgacion
		  	?>
				<script type="text/javascript">
				swal({
					title: "Éxito",
					text: "Cobro realizado correctamente",
					type: "success",
					confirmButtonColor: "#28e29e",
					confirmButtonText: "OK",
					closeOnConfirm: false
		          }, function () {
					location.href="../?lblcode=<?php echo $lblcode ?>";
		          });
				</script>
			<?php
		}else{
			?>
				<script type="text/javascript">
					swal("ERROR","No se registro","error");
				</script>
	       	<?php
		}
?>